Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 5813)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 5814)
@@ -239,5 +239,4 @@
 $lang['This name is already used by another group.'] = '组名已存在.';
 $lang['Groups'] = '组';
-$lang[''] = '';
 $lang['High definition'] = '高清';
 $lang['jump to category'] = '跳转到类';
@@ -622,7 +621,139 @@
 $lang['Released on'] = '发布于';
 $lang['Number of downloads'] = '下载次数';
+$lang['Processing treatment.'] = '正在处理.';
+$lang['Please wait...'] = '请稍后...';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = '订阅 Piwigo 最新消息，与 Piwigo 项目保持联系。当有新版本发布时，您将会收到邮件通知（有时也包括安全漏洞的修复，这对于升级是很重要的）和项目里一些重要事情的发生。一年里也只有几封邮件。';
+$lang['Password is missing. Please enter the password.'] = '密码没有输入，请输入密码。';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = '密码确认未完成，请确认所选定的密码。';
+$lang['Password confirmation error.'] = '请确认错误。';
+$lang['Allow users to edit theirs owns comments'] = '允许用户修改自己的评论';
+$lang['Allow users to delete theirs owns comments'] = '允许用户删除自己的评论';
+$lang['Email administrators when a comment is modified'] = '当评论被修改后，发邮件通知管理员';
+$lang['Email administrators when a comment is deleted'] = '当评论被删除后，发邮件通知管理员';
+$lang['Cannot delete the old permalink !'] = '旧的固定链接不能被删除!';
+$lang['Hit'] = '点击';
+$lang['Tools'] = '工具';
+$lang['Photos'] = '相片';
+$lang['Themes'] = '主题';
+$lang['Instructions to use Piwigo'] = 'Piwigo 使用指南';
+$lang['Order alphanumerically'] = '字母排序';
+$lang['Order alphanumerically reverse'] = '字母降序';
+$lang['Installed Themes'] = '安装主题';
+$lang['Add New Theme'] = '添加一个新主题';
+$lang['Forbid this theme to users'] = '禁用此主题';
+$lang['Set as default theme for unregistered and new users'] = '设置为未注册者和新用户的默认主题';
+$lang['unknown'] = '未知';
+$lang['Upload Photos'] = '上传相片';
+$lang['Drop into category'] = '拖进类别';
+$lang['+ Add an upload box'] = '+ 添加一个上传框';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = '在您的根目录下创建 "%s" 目录以完成 Piwigo 的安装';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = '给予根目录下的 "%s" 目录写权限 (chmod 777) 以完成 Piwigo 的安装';
+$lang['existing category'] = '已存在类别';
+$lang['create a new category'] = '创建一个新类别';
+$lang['Category name'] = '类别名称';
+$lang['Category "%s" has been added'] = '类别 "%s" 已添加';
+$lang['Uploaded Photos'] = '相片已上传';
+$lang['%d photos uploaded'] = '%d 相片已上传';
+$lang['Privacy level set to "%s"'] = '私有级别设置为 "%s"';
+$lang['Category "%s" now contains %d photos'] = '类别 "%s" 现已包含了 %d 相片';
+$lang['Manage this set of %d photos'] = '管理此设置的 %d 张照片 ';
+$lang['Select files'] = '选择文件';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG 文件或者将 JPEG 文件放到一个 ZIP 档案里';
+$lang['Everybody'] = '每个人';
+$lang['Who can see these photos?'] = '哪些人可以看到这些相片?';
+$lang['... or switch to the old style form'] = '... 或者使用旧式的表单';
+$lang['... or switch to the multiple files form'] = '... 或者使用多文件上传表单';
+$lang['The websize maximum width must be a number between %d and %d'] = '最大宽度的网页尺寸必须在 %d 和 %d 之间';
+$lang['The websize maximum height must be a number between %d and %d'] = '最大高度的网页尺寸必须在 %d 和 %d 之间';
+$lang['The websize image quality must be a number between %d and %d'] = '图片质量的网页尺寸必须在 %d 和 %d 之间';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = '缩略图的最大宽度必须在 %d 和 %d 之间';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = '缩略图的最大高度必须在 %d 和 %d 之间';
+$lang['The thumbnail image quality must be a number between %d and %d'] = '缩略图的质量必须在 %d 和 %d 之间';
+$lang['Settings'] = '设置';
+$lang['Web size photo'] = '相片的网页尺寸';
+$lang['Resize'] = '重置大小';
+$lang['Maximum Width'] = '最大宽度';
+$lang['pixels'] = '像素';
+$lang['Maximum Height'] = '最大高度';
+$lang['Image Quality'] = '图片质量';
+$lang['Save Settings'] = '保存设置';
+$lang['Your configuration settings are saved'] = '你的设置已保存';
+$lang['Active Themes'] = '已激活的主题';
+$lang['Add write access to the "%s" directory'] = '为 "%s" 目录添加写权限';
+$lang['Administration Home'] = '管理员首页';
+$lang['Categories ordered alphanumerically'] = '类别按字母排序';
+$lang['Categories ordered alphanumerically reverse'] = '类别按字母降序排序';
+$lang['Change Admin Colors'] = '更改管理员后台颜色';
+$lang['Delete this theme'] = '删除此主题';
+$lang['Directory does not exist'] = '目录不存在';
+$lang['Download,'] = '下载,';
+$lang['FTP + Synchronization'] = 'FTP + 同步';
+$lang['Get Support on Piwigo Forum'] = '在 Piwigo 论坛上获取帮助';
+$lang['Help Me'] = '帮助我';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = '父主题  %s 丢失，此主题不能被激。';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = '此主题不能删除，因为其他主题还有依赖与它: %s';
+$lang['Inactive Themes'] = '停用主题';
+$lang['Install on your computer,'] = '安装到您的电脑,';
+$lang['Make this theme available to users'] = '让用户可使用此主题';
+$lang['Page end'] = '页尾';
+$lang['Piwigo Uploader'] = 'Piwigo 上传者';
+$lang['Read Piwigo Documentation'] = '阅读 Piwigo 文档';
+$lang['Start pLoader and add your photos.'] = '开始使用 pLoader 并添加您的相片.';
+$lang['Switch to clear or dark colors for administration'] = '更改管理员后台为清爽或者黑暗的颜色';
+$lang['Theme has been successfully installed'] = '主题已成功安装';
+$lang['Visit Gallery'] = '浏览画廊';
+$lang['Visit Piwigo project website'] = '浏览 Piwigo 项目网站';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader 是 <em>Piwigo 上传者</em> 的官方标准软件。pLoader 可将您电脑里的相片传送到 Piwigo 的相片画廊里。';
+$lang['Guest Settings'] = '游客设置';
+$lang['Main Page'] = '主页';
+$lang['Photo Page'] = '相片页';
+$lang['Activate Navigation Bar'] = '激活导航条';
+$lang['Activate Navigation Thumbnails'] = '激活缩略图导航';
+$lang['Activate icon "%s"'] = '激活图标 "%s"';
+$lang['Activate field "%s"'] = '激活字段 "%s"';
+$lang['Photo Properties'] = '相片属性';
+$lang['Allow user customization'] = '允许用户自定义';
+$lang['Languages'] = '语言';
+$lang['Installed Languages'] = '安装语言';
+$lang['Add New Language'] = '添加新语言';
+$lang['Language has been successfully installed'] = '语言已成功安装';
+$lang['Select:'] = '选择:';
+$lang['None'] = '没有';
+$lang['Invert'] = '反转';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = '不能停用此主题，您至少需要使用一个主题.';
+$lang['Webmaster status is required.'] = '必须设置网站管理员.';
+$lang['Bound Theme'] = '绑定主题';
+$lang['Allow rating'] = '允许投票';
+$lang['Select at least one comment'] = '选择最新一个评论';
+$lang['Active Plugins'] = '激活插件';
+$lang['Inactive Plugins'] = '停用插件';
+$lang['Missing Plugins'] = '丢失的插件';
+$lang['Uninstalled Plugins'] = '未安装的插件';
+$lang['By %s'] = 'By %s';
+$lang['Visit plugin site'] = '浏览插件网站';
+$lang['Active Languages'] = '激活语言';
+$lang['Delete this language'] = '删除此语言';
+$lang['Forbid this language to users'] = '禁止用户使用此语言';
+$lang['Impossible to deactivate this language, first set another language as default.'] = '不能停用此语言，请先设置一个默认语言.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = '不能停用此语言，您必须至少使用一个语言.';
+$lang['Inactive Languages'] = '停用语言';
+$lang['Make this language available to users'] = '让用户可使用此语言';
+$lang['Set as default language for unregistered and new users'] = '设置为游客和新用户的默认语言';
+$lang['Add Photos'] = '添加相片';
+$lang['Download'] = '下载';
+$lang['The following tag was deleted'] = '以下标签已删除';
+$lang['Miscellaneous'] = '杂项';
+$lang['User Upload'] = '用户上传';
+$lang['Virtual Links'] = '虚拟链接';
+$lang['There is no other language available.'] = '没有其他可用的语言.';
+$lang['There is no other plugin available.'] = '没有其他可用的插件.';
+$lang['There is no other theme available.'] = '没有其他可用的主题.';
+$lang['Add another set of photos'] = '添加另一组相片';
+
+
+
+
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 /*TO CHECK*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo公告时事通讯';
-/*TO CHECK*/$lang['Subscribe to Piwigo Announcements Newsletter'] = '与Piwigo项目保持联系，订阅Piwigo公告时事通讯。 您将收到电子邮件，当新的发行是可利用的(有时包括安全错误修复，知道和升级)是重要的，并且，当主要事件发生在这个项目。 仅一些电子邮件每年。';
 /*TO CHECK*/$lang['Subscribe %s'] = '订阅%s';
 /*TO CHECK*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = '订阅%s Piwigo中国公告时事通讯';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 5813)
+++ /trunk/language/zh_CN/common.lang.php	(revision 5814)
@@ -323,5 +323,5 @@
 $lang['Comment by %s'] = '评论人 %s';
 $lang['User: %s'] = '用户: %s';
-$lang['Email: %s'] = 'Email: %s';
+$lang['Email: %s'] = '电子邮件: %s';
 $lang['Admin: %s'] = '管理员: %s';
 $lang['Registration of %s'] = '注册 %s';
@@ -363,3 +363,23 @@
 $lang['Are you sure?'] = '确定?';
 $lang['delete this comment'] = '删除评论';
+$lang['Reset to default values'] = '重置为默认值';
+$lang['delete all images from your favorites'] = '删除您的收藏里所有相片';
+$lang['Sent by'] = 'Sent by';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = '您的浏览器已关闭或者不支持Cookies. 您必须开启 cookies 才能登录.';
+$lang['Some info about this picture'] = '关于此相片的信息';
+$lang['Some more (technical) info about this picture'] = '更多关于此相片 (技术性的) 的信息';
+$lang['edit this comment'] = '修改此评论';
+$lang['Edit a comment'] = '修改一个评论';
+$lang['(!) This comment requires validation'] = '(!) 此评论需要审核';
+$lang['Welcome'] = '欢迎';
+$lang['Welcome to your Piwigo photo gallery!'] = '欢迎来到您的 Piwigo 画廊!';
+$lang['... or browse your empty gallery'] = '... 或者浏览您的空画廊';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... 或者取消此信息，我会自己找到我的方法';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = '您好 %s, 您的 Piwigo 画廊是空的!';
+$lang['I want to add photos'] = '我想添加相片';
+$lang['Manage this user comment: %s'] = '管理此用户的评论: %s';
+$lang['This author modified following comment:'] = '此作者修改了以下的评论:';
+$lang['This author removed the comment with id %d'] = '此作者删除了 id 为 %d 的评论';
+$lang['validate this comment'] = '审核此评论';
+
 ?>
Index: /trunk/language/zh_CN/install.lang.php
===================================================================
--- /trunk/language/zh_CN/install.lang.php	(revision 5813)
+++ /trunk/language/zh_CN/install.lang.php	(revision 5814)
@@ -66,3 +66,10 @@
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = '你应该联系你的主机管理员并向其请教如何设置PHP 5.';
 $lang['Hope to see you back soon.'] = '希望下次再见到你...';
+$lang['Database type'] = '数据库类型';
+$lang['The type of database your piwigo data will be store in'] = '用来存放您的 Piwigo 数据的数据库的类型';
+$lang['Congratulations, Piwigo installation is completed'] = '恭喜，Piwigo 已安装完成。';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = '另一个解决办法是，将以上文本框里的文本拷贝到 "local/config/database.inc.php" 文件里（注意：database.inc.php 必须只能包含此文本框里的内容，没有换行或者空格字符）';
+$lang['Creation of config file local/config/database.inc.php failed.'] = '创建 local/config/database.inc.php 文件失败.';
+$lang['Download the config file'] = '下载配置文件';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = '您可以下载配置文件，然后上传到 local/config 目录以完成您的安装.';
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 5813)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 5814)
@@ -377,5 +377,6 @@
 	
   'zh_CN' => array(
-	'',
+	'IP',
+	'localhost, sql.multimania.com, toto.freesurf.fr',
 	),
 	