Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5815)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 5816)
@@ -27,7 +27,4 @@
 ';
 $lang['UAM_casenTitle'] = 'Benutzernamen: Groß-und Kleinschreibung';
-$lang['UAM_casenTitle_d'] = 'Standardm&auml;&szlig;ig ist Piwigo insensitive: Gro&szlig;-und Kleinschreibung ber&uuml;cksichtigt werden verschiedene Buchstaben in den Namen von den Nutzern bei der Registrierung gew&auml;hlt. So, &quot;Foo&quot;, &quot;foo&quot; und &quot;FOO&quot; k&ouml;nnen 3 verschiedene Benutzer.<br><br>
-Die Aktivierung dieser Option erlaubt es, alle Optionen im Fall von &quot;foo&quot; als ein Benutzer zu betrachten. Wenn &quot;foo&quot; bereits vorhanden ist, einen neuen Benutzer erstellen &quot;Foo&quot; werden nicht angenommen.<br><br>
-<b style=&quot;color: red;&quot;>Warnung: Diese Option hat keine Auswirkungen auf den Benutzernamen erstellt vor ihrer Aktivierung.</b>';
 $lang['UAM_carexcTitle'] = 'Benutzernamen: Ausschluss von Zeichen';
 $lang['UAM_carexcTitle_d'] = 'Es mag interessant sein, bestimmte Zeichen in Benutzernamen verbieten (Beispiel: verweigern Logins mit &quot;@&quot;). Diese Option erm&ouml;glicht es, Zeichen oder Zeichenfolge, Veranstaltungen auszuschlie&szlig;en.<br>
@@ -162,3 +159,10 @@
 <b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+$lang['UAM_casenTitle_d'] = 'Standardm&auml;&szlig;ig ist Piwigo Groß-und Kleinschreibung sensitive: Gro&szlig;-und Kleinschreibung ber&uuml;cksichtigt werden verschiedene Buchstaben in den Namen von den Nutzern bei der Registrierung gew&auml;hlt. So, &quot;Foo&quot;, &quot;foo&quot; und &quot;FOO&quot; k&ouml;nnen 3 verschiedene Benutzer.<br><br>
+Die Aktivierung dieser Option erlaubt es, alle Optionen im Fall von &quot;foo&quot; als ein Benutzer zu betrachten. Wenn &quot;foo&quot; bereits vorhanden ist, einen neuen Benutzer erstellen &quot;Foo&quot; werden nicht angenommen.<br><br>
+<b style=&quot;color: red;&quot;>Warnung: Diese Option hat keine Auswirkungen auf den Benutzernamen erstellt vor ihrer Aktivierung.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5815)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 5816)
@@ -27,7 +27,4 @@
 ';
 $lang['UAM_casenTitle'] = 'Usernames: Case sensitivity';
-$lang['UAM_casenTitle_d'] = 'By default, Piwigo is insensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
-Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
-<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
 $lang['UAM_carexcTitle'] = 'Usernames: Exclusion of characters';
 $lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse logins containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
@@ -162,3 +159,10 @@
 <b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+$lang['UAM_casenTitle_d'] = 'By default, Piwigo is case sensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
+Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
+<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5815)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 5816)
@@ -27,7 +27,4 @@
 ';
 $lang['UAM_casenTitle'] = 'Nombres de usuario: mayúsculas y minúsculas';
-$lang['UAM_casenTitle_d'] = 'De forma predeterminada, Piwigo es insensible: letras may&uacute;sculas y min&uacute;sculas se consideran letras diferentes en los nombres elegidos por los usuarios en el registro. Por lo tanto, &quot;foo&quot;, &quot;foo&quot; y &quot;foo&quot; puede ser de 3 diferentes usuarios.<br><br>
-Al habilitar esta opci&oacute;n permite considerar todas las opciones en caso de &quot;foo&quot; como uno de los usuarios. Si &quot;foo&quot; ya existe, la creaci&oacute;n de un nuevo usuario &quot;Foo&quot; ser&aacute; rechazada.<br><br>
-<b style=&quot;color: red;&quot;>Advertencia: Esta opción no tiene efecto sobre los nombres de usuario creadas antes de su activación.</b>';
 $lang['UAM_carexcTitle'] = 'Nombres de usuario: Excluyendo los caracteres';
 $lang['UAM_carexcTitle_d'] = 'Puede ser interesante para prohibir ciertos caracteres en nombres de usuario (por ejemplo, se niegan los inicios de sesi&oacute;n que contiene &quot;@&quot;). Esta opci&oacute;n permite excluir caracteres o secuencia de caracteres, los acontecimientos.<br>
@@ -162,3 +159,10 @@
 <b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+/*TODO*/$lang['UAM_casenTitle_d'] = 'By default, Piwigo is case sensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
+Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
+<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5815)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 5816)
@@ -27,7 +27,4 @@
 ';
 $lang['UAM_casenTitle'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
-$lang['UAM_casenTitle_d'] = 'Par défaut, Piwigo est insensible à la casse : majuscules et minuscules sont considérées comme des lettres différentes dans les noms choisis par les utilisateurs à l\'inscription. Ainsi, &quot;Toto&quot;,  &quot;toto&quot; et &quot;TOTO&quot; peuvent être 3 utilisateurs différents.<br><br>
-L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.<br><br>
-<b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
 $lang['UAM_carexcTitle'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
 $lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un &quot;@&quot;). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
@@ -159,3 +156,10 @@
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Confirmation d\'inscription&quot; est activée.</b>';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+$lang['UAM_casenTitle_d'] = 'Par défaut, Piwigo est sensible à la casse : majuscules et minuscules sont considérées comme des lettres différentes dans les noms choisis par les utilisateurs à l\'inscription. Ainsi, &quot;Toto&quot;,  &quot;toto&quot; et &quot;TOTO&quot; peuvent être 3 utilisateurs différents.<br><br>
+L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.<br><br>
+<b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5815)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5816)
@@ -27,7 +27,4 @@
 ';
 $lang['UAM_casenTitle'] = 'Pseudo: Sensibilità maiuscole/minuscole';
-$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole e maiuscole e vengono considerate come diverse lettere nei pseudo scelti dagli utenti al momento dell\'iscrizzione. E dunque &quot;Pippo&quot;, &quot;pippo&quot; e &quot;PIPPO&quot; possono essere 3 diversi utenti.<br><br>
-L\'attivazione di questa opzione permette di considerare &quot;Pippo&quot;, &quot;pippo&quot;, &quot;PIPPO&quot;, ... come un\'solo utente. Se &quot;pippo&quot; esiste già, creare un nuovo pseudo &quot;Pippo&quot; risulterà impossibile.<br><br>
-<b style=&quot;color: red&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
 $lang['UAM_carexcTitle'] = 'Pseudo: Esclusione di caratteri';
 $lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
@@ -163,3 +160,10 @@
 <b style=&quot;color:red;&quot;>Changing the text is possible ONLY if &quot;Confirmation of registration&quot; is activated.</b>';
 // --------- End: New or revised $lang ---- from version 2.15.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.15.2
+$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole e maiuscole e vengono considerate come diverse lettere nei pseudo scelti dagli utenti al momento dell\'iscrizzione. E dunque &quot;Pippo&quot;, &quot;pippo&quot; e &quot;PIPPO&quot; possono essere 3 diversi utenti.<br><br>
+L\'attivazione di questa opzione permette di considerare &quot;Pippo&quot;, &quot;pippo&quot;, &quot;PIPPO&quot;, ... come un\'solo utente. Se &quot;pippo&quot; esiste già, creare un nuovo pseudo &quot;Pippo&quot; risulterà impossibile.<br><br>
+<b style=&quot;color: red&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
+// --------- End: New or revised $lang ---- from version 2.15.2
 ?>