Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 5824)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 5825)
@@ -630,3 +630,130 @@
 $lang['Purge search history'] = 'Očisti istoriju pretraživanja';
 $lang['Hide'] = 'Sakrij';
+$lang['Processing treatment.'] = 'Tretiranje procesa.';
+$lang['Please wait...'] = 'Molim sačekajte...';
+$lang['Password is missing. Please enter the password.'] = 'Lozinka nedostaje. Molim unesite lozinku.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Potvrda lozinke nedostaje. Molim potvrdite izabranu lozinku.';
+$lang['Password confirmation error.'] = 'Greška pri potvrdi lozinke.';
+$lang['Allow users to edit theirs owns comments'] = 'Dozvoli korisnicima da uređuju svoje komentare';
+$lang['Allow users to delete theirs owns comments'] = 'Dozvoli korisnicima da brišu svoje komentare';
+$lang['Email administrators when a comment is modified'] = 'Pošalji e-mail administratoru kada je komentar izmenjen';
+$lang['Email administrators when a comment is deleted'] = 'Pošalji e-mail administratoru kada je komentar izbrisan';
+$lang['Cannot delete the old permalink !'] = 'Stari link se ne može obrisati!';
+$lang['Hit'] = 'Pogodak';
+$lang['Tools'] = 'Alati';
+$lang['Photos'] = 'Fotografije';
+$lang['Themes'] = 'Teme';
+$lang['Instructions to use Piwigo'] = 'Instrukcije kako da koristite Piwigo';
+$lang['Order alphanumerically'] = 'Abecedni poredak';
+$lang['Order alphanumerically reverse'] = 'Obrnuti abecedni poredak';
+$lang['Installed Themes'] = 'Instalirane teme';
+$lang['Add New Theme'] = 'Dodaj novu temu';
+$lang['Forbid this theme to users'] = 'Zabrani ovu temu korisnicima';
+$lang['Set as default theme for unregistered and new users'] = 'Postavi kao podrazumevanu temu za neregistrovane i nove korisnike';
+$lang['unknown'] = 'nepoznato';
+$lang['Upload Photos'] = 'Pošalji fotografije';
+$lang['Drop into category'] = 'Baci u kategoriju';
+$lang['+ Add an upload box'] = '+ Dodaj kutiju za slanje';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Napravi "%s" directorijum u korenu Vaše Piwigo instalacije';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dozvoli upis (chmod 777) u "%s" direktorijum u korenu Vaše Piwigo instalcije';
+$lang['existing category'] = 'postojeće kategorije';
+$lang['create a new category'] = 'napravi novu kategoriju';
+$lang['Category name'] = 'Naziv kategorije';
+$lang['Category "%s" has been added'] = 'Kategorija "%s" je dodata';
+$lang['Uploaded Photos'] = 'Pošalji fotografije';
+$lang['%d photos uploaded'] = '%d fotografije poslate';
+$lang['Privacy level set to "%s"'] = 'Nivo privatnosti podešen na "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Kategorija "%s" sada sadrži %d fotografija';
+$lang['Manage this set of %d photos'] = 'Uredi ovaj set %d fotografija';
+$lang['Select files'] = 'Izaberi datoteke';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG datoteke ili ZIP arhive sa JPEG datotekama u sebi molim.';
+$lang['Everybody'] = 'Svi';
+$lang['Who can see these photos?'] = 'Ko može da vidi fotografije?';
+$lang['... or switch to the old style form'] = '... ili promeni na stari stil obrazac';
+$lang['... or switch to the multiple files form'] = '...ili promeni na višestruke datoteke obrazac';
+$lang['The websize maximum width must be a number between %d and %d'] = 'Maksimalna širina fotografije mora biti broj između %d i %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'Maksimalna visina fotografije mora biti broj između %d i %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'Kvalitet fotografije mora biti broj između %d i %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Maksimalna širina povezne sličice mora biti broj između %d i %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Maksimalna visina povezne sličice mora biti broj između %d i %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'Kvalitet povezne sličice mora biti broj između %d i %d';
+$lang['Settings'] = 'Podešenja';
+$lang['Web size photo'] = 'Veličina fotografije';
+$lang['Resize'] = 'Promeni veličinu';
+$lang['Maximum Width'] = 'Maksimalna širina';
+$lang['pixels'] = 'pikseli';
+$lang['Maximum Height'] = 'Maksimalna visina';
+$lang['Image Quality'] = 'Kvalitet slike';
+$lang['Save Settings'] = 'Snimi podešenja';
+$lang['Your configuration settings are saved'] = 'Vaša podešenja su sačuvana';
+$lang['Active Themes'] = 'Aktivne teme';
+$lang['Add write access to the "%s" directory'] = 'Dozvoli upis "%s" direktorijumu';
+$lang['Administration Home'] = 'Početna administracije';
+$lang['Categories ordered alphanumerically'] = 'Kategorije poređane po abecednom redu';
+$lang['Categories ordered alphanumerically reverse'] = 'Kategorije poređane po obrnutom abecednom redu';
+$lang['Change Admin Colors'] = 'Promeni administratorske boje';
+$lang['Delete this theme'] = 'Obriši ovu temu';
+$lang['Directory does not exist'] = 'Direktorijum ne postoji';
+$lang['Download,'] = 'Snimi na računar,';
+$lang['FTP + Synchronization'] = 'FTP + Sinhronizacija';
+$lang['Get Support on Piwigo Forum'] = 'Podrška on Piwigo forumu';
+$lang['Help Me'] = 'Pomoć';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ova tema se ne može aktivirati, jer tema ne postoji: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ova tema se ne može obrisati, jer druge teme zavise od nje: %s';
+$lang['Inactive Themes'] = 'Neaktivne teme';
+$lang['Install on your computer,'] = 'Instaliraj na tvom računaru,';
+$lang['Make this theme available to users'] = 'Napravi ovu temu dostupnu korisnicima';
+$lang['Page end'] = 'Kraj strane';
+$lang['Piwigo Uploader'] = 'Piwigo pošiljaoc';
+$lang['Read Piwigo Documentation'] = 'Pročitaj Piwigo dokumentaciju';
+$lang['Start pLoader and add your photos.'] = 'Pokreni pLoader i dodaj tvoje slike.';
+$lang['Switch to clear or dark colors for administration'] = 'Promeni na svetle ili tamne boje za administratora';
+$lang['Theme has been successfully installed'] = 'tema je uspešno instalirana';
+$lang['Visit Gallery'] = 'Poseti galeriju';
+$lang['Visit Piwigo project website'] = 'Poseti stranicu Piwigo projekta';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader označava <em>Piwigo Uploader</em>. Sa Vašeg racunara, pLoader priprema Vaše fotografije i šalje ih u  Piwigo foto galeriju.';
+$lang['Guest Settings'] = 'Podešenja za goste';
+$lang['Main Page'] = 'Glavna strana';
+$lang['Photo Page'] = 'Foto strana';
+$lang['Activate Navigation Bar'] = 'Aktiviraj liniju za navigaciju';
+$lang['Activate Navigation Thumbnails'] = 'Aktiviraj povezne sličice za navigaciju';
+$lang['Activate icon "%s"'] = 'Aktiviiraj ikonu "%s"';
+$lang['Activate field "%s"'] = 'Aktiviraj polje "%s"';
+$lang['Photo Properties'] = 'Osobine slike';
+$lang['Allow user customization'] = 'Dozvoli podešavanja korisniku';
+$lang['Languages'] = 'Jezici';
+$lang['Installed Languages'] = 'Instalirani jezici';
+$lang['Add New Language'] = 'Dodaj novi jezik';
+$lang['Language has been successfully installed'] = 'Jezik je uspešno instaliran';
+$lang['Select:'] = 'Odaberi:';
+$lang['None'] = 'Ništa';
+$lang['Invert'] = 'Suprotno';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nemoguće deaktivirati ovu temu, treba Vam bar jedna tema.';
+$lang['Webmaster status is required.'] = 'Webmaster status je potreban.';
+$lang['Bound Theme'] = 'Povezana tema';
+$lang['Allow rating'] = 'Dozvoli rangiranje';
+$lang['Select at least one comment'] = 'Odaberi najmanje jedan komentar';
+$lang['Active Plugins'] = 'Aktivni dodaci';
+$lang['Inactive Plugins'] = 'Neaktivni dodaci';
+$lang['Missing Plugins'] = 'Nedostajući dodaci';
+$lang['Uninstalled Plugins'] = 'Deinstalirani dodaci';
+$lang['By %s'] = 'Od %s';
+$lang['Visit plugin site'] = 'Poseti stranicu sa dodacima';
+$lang['Active Languages'] = 'Aktivni jezici';
+$lang['Delete this language'] = 'Obriši ovaj jezik';
+$lang['Forbid this language to users'] = 'Zabrani ovaj jezik za korisnike';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Nemoguće deaktivirati ovaj jezik, prvo odaberite drugi jezik kao podrazumevani.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Nemoguće deaktivirati ovaj jezik, treba Vam najmanje jedan jezik.';
+$lang['Inactive Languages'] = 'Neaktivni jezici';
+$lang['Make this language available to users'] = 'Omogući ovaj jezik korisnicima';
+$lang['Set as default language for unregistered and new users'] = 'Postavi kao podrazumevani jezik za neregistrovane i nove korisnike';
+$lang['Add Photos'] = 'Dodaj fotografije';
+$lang['Download'] = 'Snimi na računar';
+$lang['The following tag was deleted'] = 'Tekuća oznaka je obrisana';
+$lang['Miscellaneous'] = 'Ostalo';
+$lang['User Upload'] = 'Korisnici poslali';
+$lang['Virtual Links'] = 'Virtualne veze';
+$lang['There is no other language available.'] = 'Drugi jezik nije dostupan.';
+$lang['There is no other plugin available.'] = 'Drugi dodatak nije dostupan.';
+$lang['There is no other theme available.'] = 'Druga tema nije dostupna.';
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 5824)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 5825)
@@ -362,4 +362,8 @@
 	'Webmaster',
 	'IP: %s',
+	'user_status_admin',
+	'user_status_webmaster',
+	'IP',
+	'Element',
 	),
 	