Index: tags/2.1.0RC1/language/hr_HR/admin.lang.php
===================================================================
--- tags/2.1.0RC1/language/hr_HR/admin.lang.php	(revision 5412)
+++ tags/2.1.0RC1/language/hr_HR/admin.lang.php	(revision 5828)
@@ -650,3 +650,131 @@
 $lang['Purge search history'] = 'Pročisti povijest pretraživanja';
 $lang['Hide'] = 'Sakrij';
+// piwigo 2.1
+$lang['Processing treatment.'] = 'Obrada postupka.';
+$lang['Please wait...'] = 'Sačekajte molim...';
+$lang['Password is missing. Please enter the password.'] = 'Nedostaje zaporka. Molimo unesite zaporku.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Nedostaje potvrda zaporke. Molimo potvrdite odabranu zaporku.';
+$lang['Password confirmation error.'] = 'Greška potvrde zaporke.';
+$lang['Allow users to edit theirs owns comments'] = 'Dozvoliti korisnicima uređivanje vlastitih komentara';
+$lang['Allow users to delete theirs owns comments'] = 'Dozvoliti korisnicima brisanje vlastitih komentara';
+$lang['Email administrators when a comment is modified'] = 'E-mail poruka upravnicima kada je komentar promijenjen';
+$lang['Email administrators when a comment is deleted'] = 'E-mail poruka upravnicima kada je komentar izbrisan';
+$lang['Cannot delete the old permalink !'] = 'Stare stalne poveznice ne mogu se brisati!';
+$lang['Hit'] = 'Posjeta';
+$lang['Tools'] = 'Alati';
+$lang['Photos'] = 'Slike';
+$lang['Themes'] = 'Teme';
+$lang['Instructions to use Piwigo'] = 'Upute za korištenje Piwigo-a';
+$lang['Order alphanumerically'] = 'Abecedni poredak';
+$lang['Order alphanumerically reverse'] = 'Obrnuti abecedni poredak';
+$lang['Installed Themes'] = 'Ugrađene Teme';
+$lang['Add New Theme'] = 'Dodaj novu temu';
+$lang['Forbid this theme to users'] = 'Zabrani ovu temu korisnicima';
+$lang['Set as default theme for unregistered and new users'] = 'Postavi za pretpostavljenu temu za nepoznate i nove korisnike';
+$lang['unknown'] = 'nepoznat';
+$lang['Upload Photos'] = 'Prebaci Slike';
+$lang['Drop into category'] = 'Spusti u skupinu';
+$lang['+ Add an upload box'] = '+ Dodaj kutiju prebacivanja';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Izradi "%s" mapu u korijenu vaše Piwigo galerije';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dozvoli pravo upisa (chmod 777) za "%s" mapu u korijenu Piwigo galerije';
+$lang['existing category'] = 'postojeća skupina';
+$lang['create a new category'] = 'stvori novu skupinu';
+$lang['Category name'] = 'Naziv skupine';
+$lang['Category "%s" has been added'] = 'Skupina "%s" je dodana';
+$lang['Uploaded Photos'] = 'Prebačene Slike';
+$lang['%d photos uploaded'] = '%d slika prebačeno';
+$lang['Privacy level set to "%s"'] = 'Razina privatnosti postavljena na "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Skupina "%s" sada sadržava %d slika';
+$lang['Manage this set of %d photos'] = 'Upravljanje ovim skupom od %d slika';
+$lang['Select files'] = 'Odaberi zapise';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG zapisi ili ZIP arhive sa JPEG zapisima unutra molim.';
+$lang['Everybody'] = 'Svi';
+$lang['Who can see these photos?'] = 'Tko može pregledavati ove slike?';
+$lang['... or switch to the old style form'] = '... ili prebaci na oblik starog stila';
+$lang['... or switch to the multiple files form'] = '... ili prebaci na oblik višestrukih zapisa';
+$lang['The websize maximum width must be a number between %d and %d'] = 'Najveća širina web prozora mora biti broj između %d i %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'Najveća visina web prozora mora biti broj između %d i %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'Kakvoća slike u web prozoru mora biti broj između %d i %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Najveća širina poveznih sličica mora biti broj između %d i %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Najveća visina poveznih sličica mora biti broj između %d i %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'Kakvoća poveznih sličica mora biti broj između %d i %d';
+$lang['Settings'] = 'Postavke';
+$lang['Web size photo'] = 'Veličina slike na web stranici';
+$lang['Resize'] = 'Pronijeni veličinu';
+$lang['Maximum Width'] = 'Najveća Širina';
+$lang['pixels'] = 'piksela';
+$lang['Maximum Height'] = 'Najveća Visina';
+$lang['Image Quality'] = 'Kakvoća slike';
+$lang['Save Settings'] = 'Pohrani Postavke';
+$lang['Your configuration settings are saved'] = 'Vaše postavke su pohranjene';
+$lang['Active Themes'] = 'Aktivne Teme';
+$lang['Add write access to the "%s" directory'] = 'Dodaj dozvolu upisa za "%s" mapu';
+$lang['Administration Home'] = 'Upravna Ploča';
+$lang['Categories ordered alphanumerically'] = 'Skupine složene abecednim redom';
+$lang['Categories ordered alphanumerically reverse'] = 'Skupine složene obrnutim abecednim redom';
+$lang['Change Admin Colors'] = 'Promijeni boje upravnog dijela';
+$lang['Delete this theme'] = 'izbriši ovu temu';
+$lang['Directory does not exist'] = 'Mapa ne postoji';
+$lang['Download,'] = 'Preuzmi,';
+$lang['FTP + Synchronization'] = 'FTP + Usklađivanje';
+$lang['Get Support on Piwigo Forum'] = 'Potražite pomoć u Piwigo forumu';
+$lang['Help Me'] = 'Pomozite Mi';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Ova tema se ne može postaviti, jer nedostaje nadređena tema: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Ova tema se ne može brisati, zbog drugih tema ovisnih o njoj: %s';
+$lang['Inactive Themes'] = 'Nekorištene teme';
+$lang['Install on your computer,'] = 'Ugradite na svoje računalo,';
+$lang['Make this theme available to users'] = 'Očinite ovu teme dostumon korisnicima';
+$lang['Page end'] = 'Kraj stranice';
+$lang['Piwigo Uploader'] = 'Piwigo Prebacivač';
+$lang['Read Piwigo Documentation'] = 'Pročitajte Piwigo Dokimentaciju';
+$lang['Start pLoader and add your photos.'] = 'Pokreni pLoader i dodajte svoje slike.';
+$lang['Switch to clear or dark colors for administration'] = 'Prebaci na svijetle ili tamne boje za upravljanje';
+$lang['Theme has been successfully installed'] = 'Tema je uspješno ugrađena';
+$lang['Visit Gallery'] = 'Posjetite galeriju';
+$lang['Visit Piwigo project website'] = 'Posjetite web stranicu Piwigo projekta';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader znači <em>Piwigo Uploader</em>. Sa vašeg računala, pLoader priprema vaše slike i prebacuje ih u vašu Piwigo galeriju.';
+$lang['Guest Settings'] = 'Postavke Gost računa';
+$lang['Main Page'] = 'Glavna stranica';
+$lang['Photo Page'] = 'Stranica Slika';
+$lang['Activate Navigation Bar'] = 'Uključiti navigacijsku traku';
+$lang['Activate Navigation Thumbnails'] = 'Uključiti navigacijske povezne sličice';
+$lang['Activate icon "%s"'] = 'Uključiti ikonu "%s"';
+$lang['Activate field "%s"'] = 'Uključiti polje "%s"';
+$lang['Photo Properties'] = 'Svojstva slika';
+$lang['Allow user customization'] = 'Dozvoliti korisničku prilagodbu';
+$lang['Languages'] = 'Jezici';
+$lang['Installed Languages'] = 'Ugrađeni Jezici';
+$lang['Add New Language'] = 'Dodaj Novi Jezik';
+$lang['Language has been successfully installed'] = 'Jezik uspješno ugrađen';
+$lang['Select:'] = 'Odaberi:';
+$lang['None'] = 'Nijedan';
+$lang['Invert'] = 'Obrnuto';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nemoguće je isključiti ovu temu, potrebna je najmanje jedna tema.';
+$lang['Webmaster status is required.'] = 'Potrebne su Webmaster ovlasti.';
+$lang['Bound Theme'] = 'Prikači Temu';
+$lang['Allow rating'] = 'Dozvoli ocjenjivanje';
+$lang['Select at least one comment'] = 'Odaberite najmanje jedan komentar';
+$lang['Active Plugins'] = 'Uključeni Dodaci';
+$lang['Inactive Plugins'] = 'Isključeni Dodaci';
+$lang['Missing Plugins'] = 'Nedostajući Dodaci';
+$lang['Uninstalled Plugins'] = 'Uklonjeni Dodaci';
+$lang['By %s'] = 'Po %s';
+$lang['Visit plugin site'] = 'Posjetite strancu dodataka';
+$lang['Active Languages'] = 'Uključeni Jezici';
+$lang['Delete this language'] = 'Izbrišite ovaj jezik';
+$lang['Forbid this language to users'] = 'Zabranite ovaj jezik korisnicima';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Nemoguće je isključenje ovog jezika, prvo postavite neki drugi jezik kao pretpostavljen.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Nemoguće je isključenje ovog jezika, trebate imati najmanje jedan jezik.';
+$lang['Inactive Languages'] = 'Isključeni Jezici';
+$lang['Make this language available to users'] = 'Učinite ovaj jezik dostupnim korisnicima';
+$lang['Set as default language for unregistered and new users'] = 'Postavi kao pretpostavljen jezik za nove i nepoznate korisnike';
+$lang['Add Photos'] = 'Dodaj Slike';
+$lang['Download'] = 'Preuzmi';
+$lang['The following tag was deleted'] = 'Slijedeći tag je izbrisan';
+$lang['Miscellaneous'] = 'Razno';
+$lang['User Upload'] = 'Korisničko Prebacivanje';
+$lang['Virtual Links'] = 'Prividne Poveznice';
+$lang['There is no other language available.'] = 'Neme dostupnih drugih jezika.';
+$lang['There is no other plugin available.'] = 'Nema dostupnih drugih dodataka.';
+$lang['There is no other theme available.'] = 'Nema dostupnih drugih tema.';
 ?>
Index: tags/2.1.0RC1/language/hr_HR/common.lang.php
===================================================================
--- tags/2.1.0RC1/language/hr_HR/common.lang.php	(revision 5412)
+++ tags/2.1.0RC1/language/hr_HR/common.lang.php	(revision 5828)
@@ -368,3 +368,23 @@
 $lang['Are you sure?'] = 'Sigurni ste?';
 $lang['delete this comment'] = 'izbriši ovaj komentar';
+// piwigo 2.1
+$lang['Reset to default values'] = 'Povratak na pretpostavljene vrijednosti';
+$lang['delete all images from your favorites'] = 'izbriši sve slike iz omiljenih';
+$lang['Sent by'] = 'Poslano od';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Kolačići su onemogućeni ili nisu podržani od vašeg preglednika. Morate ih omogućiti za prijavu.';
+$lang['Some info about this picture'] = 'Podatci o ovoj slici';
+$lang['Some more (technical) info about this picture'] = 'Više (tehničkih) podataka o ovoj slici';
+$lang['edit this comment'] = 'uredi ovaj komentar';
+$lang['Edit a comment'] = 'Uredi komentar';
+$lang['(!) This comment requires validation'] = '(!) Ovaj komentar zahtijeva ovjeru';
+$lang['Welcome'] = 'Dobrodošli';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Dobrodošli u vašu Piwigo galeriju slika!';
+$lang['... or browse your empty gallery'] = '... ili pregledajte praznu galeriju';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... ili možete isključiti ovu poruku, nekako ću se snaći sam';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Zdravo %s, vaša Piwigo galerija je prazna!';
+$lang['I want to add photos'] = 'Želim dodati slike';
+$lang['Manage this user comment: %s'] = 'Upravljanje ovim korisničkim komentarom: %s';
+$lang['This author modified following comment:'] = 'Ovaj autor je promijenio slijedeći komentar:';
+$lang['This author removed the comment with id %d'] = 'Ovaj autor je uklonio komentar sa id %d';
+$lang['validate this comment'] = 'ovjeri ovaj komentar';
 ?>
Index: tags/2.1.0RC1/language/hr_HR/install.lang.php
===================================================================
--- tags/2.1.0RC1/language/hr_HR/install.lang.php	(revision 5412)
+++ tags/2.1.0RC1/language/hr_HR/install.lang.php	(revision 5828)
@@ -64,3 +64,22 @@
 $lang['Webmaster mail address'] = 'Webmaster-ova e-mail adresa';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Posjetitelji će moći pisati upravitelju galerije preko ove adrese';
+
+// piwigo 2.1
+$lang['Database type'] = 'Vrsta baze podataka';
+$lang['The type of database your piwigo data will be store in'] = 'Vrsta baze podataka u kojoj će se pohraniti vaši Piwigo podatci';
+$lang['PHP 5 is required'] = 'PHP 5 je obvezan';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Čini se da vaše web mjesto trenutno koristi PHP inačicu %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo će pokušati podesiti sustavne postavke na PHP 5 izradom ili prilagodbom .htaccess zapisa.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Ne zaboravite da možete i sami promijeniti postavke te potom ponovo pokrenuti Piwigo.';
+$lang['Try to configure PHP 5'] = 'Pokušaj podešavanja PHP 5';
+$lang['Sorry!'] = 'Nažalost!';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo nije u mogućnosti podesiti PHP 5.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Trebate se obratiti vašem davatelju usluge smještaja za upute na koji se način možete prebaciti na PHP 5 samostalno.';
+$lang['Hope to see you back soon.'] = 'Do skorog viđenja.';
+$lang['Congratulations, Piwigo installation is completed'] = 'Čestitamo, Piwigo ugradnja je dovršena';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Druga mogućnost je da kopirate tekst u prostoru poviše i prebacite ga u zapis "local/config/database.inc.php" (Pozor :u database.inc.php smije se prebaciti samo tekst iz kućice bez znakova novog reda ili praznog prostora)';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Izrada local/config/database.inc.php nije uspjela.';
+$lang['Download the config file'] = 'Preuzmi zapis podešavanja';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Možete preuzeti zapis sustavnog podešavanja i prebaciti ga u local/config mapu vaše ugradnje.';
+
 ?>
Index: tags/2.1.0RC1/language/hr_HR/upgrade.lang.php
===================================================================
--- tags/2.1.0RC1/language/hr_HR/upgrade.lang.php	(revision 5412)
+++ tags/2.1.0RC1/language/hr_HR/upgrade.lang.php	(revision 5828)
@@ -42,3 +42,8 @@
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Jedino su predznaci poveznih sličica i webmaster-ova e-mail adresa sačuvane iz prethodne postave';
 
+// piwigo 2.1
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version.
+The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Na ovoj stranici imate prijedlog nadogradnje baze podataka sa vaše starije inačice na novu. Pomoćnik nadogradnje smatra da trenutno koristite <strong>inačicu %s</strong> (ili sličnu).';
+$lang['As a precaution, following plugins have been disabled. You must check for plugins upgrade before reactiving them:'] = 'Kao mjera predostrožnosti, slijedeći dodaci su isključeni. Provjerite dostupne nadogradnje dodataka prije njihovog ponovnog uključenja:';
+
 ?>