Index: /extensions/sobre/admin/admin.css
===================================================================
--- /extensions/sobre/admin/admin.css	(revision 5838)
+++ /extensions/sobre/admin/admin.css	(revision 5838)
@@ -0,0 +1,2 @@
+#configContent FIELDSET {border:2px solid #777;}
+#configContent FIELDSET SELECT{float:right; margin:0 26px 0 0;}
Index: /extensions/sobre/admin/admin.inc.php
===================================================================
--- /extensions/sobre/admin/admin.inc.php	(revision 5837)
+++ /extensions/sobre/admin/admin.inc.php	(revision 5838)
@@ -36,4 +36,3 @@
 $template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
 
-
 ?>
Index: /extensions/sobre/admin/admin.tpl
===================================================================
--- /extensions/sobre/admin/admin.tpl	(revision 5837)
+++ /extensions/sobre/admin/admin.tpl	(revision 5838)
@@ -1,29 +1,45 @@
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/sobre/admin/admin.css">
+
 <div class="titrePage">
-  <h2>Sobre</h2>
+  <h2>{'Title theme'|@translate}</h2>
 </div>
 
 <form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
 <div id="configContent">
-  <fieldset id="mainConfCheck">
-    <legend></legend>
-      <ul>
-        <li>
-          <span class="property">{'Display page banner on home page'|@translate}</span>
-          <input type="checkbox" name="sbre[home]" value="true" {if $sbre.home}checked="checked"{/if}>
-        </li>
-        <li>
-          <span class="property">{'Display page banner on categories pages'|@translate}</span>
-          <input type="checkbox" name="sbre[categories]" value="true" {if $sbre.categories}checked="checked"{/if}>
-        </li>
-        <li>
-          <span class="property">{'Display page banner on picture page'|@translate}</span>
-          <input type="checkbox" name="sbre[picture]" value="true" {if $sbre.picture}checked="checked"{/if}>
-        </li>
-        <li>
-          <span class="property">{'Display page banner on other pages'|@translate}</span>
-          <input type="checkbox" name="sbre[other]" value="true" {if $sbre.other}checked="checked"{/if}>
-        </li>
-      </ul>
-  </fieldset>
+      <fieldset id="mainConfCheck">
+        <legend>{'Title banner on pages'|@translate}</legend>
+          <ul>
+            <li>
+             <span class="property">{'Display page banner on home page'|@translate}</span>
+             <input type="checkbox" name="sbre[home]" value="true" {if $sbre.home}checked="checked"{/if}>
+            </li>
+            <li>
+             <span class="property">{'Display page banner on categories pages'|@translate}</span>
+             <input type="checkbox" name="sbre[categories]" value="true" {if $sbre.categories}checked="checked"{/if}>
+            </li>
+            <li>
+              <span class="property">{'Display page banner on picture page'|@translate}</span>
+              <input type="checkbox" name="sbre[picture]" value="true" {if $sbre.picture}checked="checked"{/if}>
+            </li>
+            <li>
+              <span class="property">{'Display page banner on other pages'|@translate}</span>
+              <input type="checkbox" name="sbre[other]" value="true" {if $sbre.other}checked="checked"{/if}>
+            </li>
+          </ul>
+      </fieldset>
+
+      <fieldset id="mainConfCheck">
+        <legend>{'Tips'|@translate}</legend>
+          <ul>
+            <li>
+              <span class="property">{'nb menubar items'|@translate}</span>
+              <select name="nbItems">
+                <option label="4" value="25%" selected="selected">4</option>
+                <option label="5" value="20%">5</option>
+                <option label="6" value="16%">6</option>
+              </select>
+            </li>
+          </ul>
+      </fieldset>
 </div>
 <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
Index: /extensions/sobre/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5837)
+++ /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5838)
@@ -2,4 +2,6 @@
 
 /* Admin */
+$lang['Title theme'] = 'Configuration du thème : <em>Sobre</em>';
+$lang['Title banner on pages'] = 'Affichage de la bannière';
 $lang['Display page banner on home page'] = 'Afficher la bannière sur la page d\'accueil';
 $lang['Display page banner on categories pages'] = 'Afficher la bannière sur la page des catégories';
@@ -7,4 +9,6 @@
 $lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
 $lang['Theme by'] = 'Thème Sobre par <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+$lang['nb menubar items'] = 'Nombre d\'éléments dans le menu';
+$lang['Tips'] = 'Divers';
 
 /* picture.tpl */
Index: /extensions/sobre/theme.css
===================================================================
--- /extensions/sobre/theme.css	(revision 5837)
+++ /extensions/sobre/theme.css	(revision 5838)
@@ -608,14 +608,4 @@
 
 
-
-
-
-
-
-
-
-
-
-
 /* Scroll to top */
 #scrolltotop {