Index: /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 5841)
+++ /extensions/pLoader/trunk/locale/cs_CZ/pLoader.po	(revision 5842)
@@ -15,5 +15,5 @@
 
 msgid "Select photos for upload"
-msgstr "Vyberte fotky k odeslání"
+msgstr "Vyberte fotografie k odeslání"
 
 msgid "JPEG files"
@@ -39,5 +39,5 @@
 
 msgid "Upload high (original size) "
-msgstr "Upload ve vysokém rozl. (original size) "
+msgstr "Nahrát ve vysokém rozl. (original size) "
 
 msgid "Yes"
@@ -72,11 +72,11 @@
 
 msgid "Shutter speed"
-msgstr "Shutter speed"
+msgstr "Čas"
 
 msgid "Aperture"
-msgstr "Aperture"
+msgstr "Clona"
 
 msgid "Focal length"
-msgstr "Focal length"
+msgstr "Ohnisková vzdálenost"
 
 msgid "Model"
@@ -93,8 +93,8 @@
 
 msgid "Chinese"
-msgstr "Chinese"
+msgstr "Čínsky"
 
 msgid "Chinese simplified"
-msgstr "Chinese simplified"
+msgstr "Čínsky zjednodušeně"
 
 msgid "Czech"
@@ -132,8 +132,8 @@
 
 msgid "Portuguese Brazil"
-msgstr "Portuguese Brazil"
+msgstr "Portugalsky Brazilsky"
 
 msgid "Portuguese Portugal"
-msgstr "Portuguese Portugal"
+msgstr "Portugalsky"
 
 msgid "Russian"
@@ -228,5 +228,5 @@
 
 msgid "Upload cancelled"
-msgstr "Upload ukončen"
+msgstr "Nahrání ukončeno"
 
 msgid "Image upload progress information"
@@ -300,8 +300,8 @@
 
 msgid "Site image blur"
-msgstr "Site image blur"
+msgstr "Rozmazání"
 
 msgid "Site image interlace"
-msgstr "Site image interlace"
+msgstr "Prokládání"
 
 msgid "Site thumbnail jpeg quality"
@@ -396,8 +396,8 @@
 
 msgid "Activate watermark"
-msgstr "Aktivuj vodotisk"
+msgstr "Aktivuj vodoznak"
 
 msgid "Activate watermark on high definition"
-msgstr "Aktivuj vodotisk pro vysoké rozlišení"
+msgstr "Aktivuj vodoznak pro vysoké rozlišení"
 
 msgid "Text"
@@ -468,14 +468,14 @@
 
 msgid "Uploading"
-msgstr "Uploading"
+msgstr "Nahrávám"
 
 msgid "Uploading resized"
-msgstr "Uploading resized"
+msgstr "Nahrávám zmenšené"
 
 msgid "Uploading thumbnail"
-msgstr "Uploading thumbnail"
+msgstr "Nahrávám náhledy"
 
 msgid "Uploading high definition"
-msgstr "Uploading high definition"
+msgstr "Nahrávám originální velikost"
 
 msgid "Checksum for"
@@ -498,5 +498,5 @@
 
 msgid "Preparing resized image for"
-msgstr "Příprava resized image for"
+msgstr "Příprava zmenšeného obrázku pro"
 
 msgid "Close"
@@ -504,5 +504,5 @@
 
 msgid "on"
-msgstr "on"
+msgstr "na"
 
 msgid "photos added to the selection"
@@ -528,14 +528,14 @@
 
 msgid "HD image filter"
-msgstr "HD image filter"
+msgstr "HD filtr obrázku"
 
 msgid "HD image blur"
-msgstr "HD image blur"
+msgstr "HD rozmazání obrázku"
 
 msgid "HD image interlace"
-msgstr "HD image interlace"
+msgstr "HD prokládání obrázku"
 
 msgid "nothing"
-msgstr "nothing"
+msgstr "nic"
 
 msgid "replace"
@@ -558,11 +558,11 @@
 
 msgid "What shall we do with single value properties?(caption, comment, author, create date)"
-msgstr "Co budeme dělat s jednotlivými hodnotami vlastností? (Titulek, komentář, autor, datum vytvoření)"
+msgstr "Co budeme dělat s jednotlivými vlastnostmi? (Titulek, komentář, autor, datum vytvoření)"
 
 msgid "What shall we do with multiple values properties? (categories, tags)"
-msgstr "What shall we do with multiple values properties? (categories, tags)"
+msgstr "Co budeme dělat s vícenásobnými vlastnostmi? (kategorie, klíčová slova)"
 
 msgid "Photo update management"
-msgstr "Photo update management"
+msgstr "Zpráva aktualizace fotografií"
 
 msgid "Who can see the photo?"
@@ -588,5 +588,5 @@
 
 msgid "Thumbnail and caption"
-msgstr "Thumbnail and caption"
+msgstr "Náhled a název"
 
 msgid "Property list"
@@ -600,8 +600,8 @@
 
 msgid "Use resized original"
-msgstr "Use resized original"
+msgstr "Použij zmenšený originál"
 
 msgid "Web sized"
-msgstr "Web sized"
+msgstr "Web velikost"
 
 msgid "Do you want to create"
@@ -609,5 +609,5 @@
 
 msgid "Transfer"
-msgstr "Transfer"
+msgstr "Přenos"
 
 msgid "Click links below to start using pLoader."