Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 5846)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 5847)
@@ -730,5 +730,5 @@
 $lang['Missing Plugins'] = '丢失的插件';
 $lang['Uninstalled Plugins'] = '未安装的插件';
-$lang['By %s'] = 'By %s';
+$lang['By %s'] = '按 %s';
 $lang['Visit plugin site'] = '浏览插件网站';
 $lang['Active Languages'] = '激活语言';
@@ -750,5 +750,6 @@
 $lang['There is no other theme available.'] = '没有其他可用的主题.';
 $lang['Add another set of photos'] = '添加另一组相片';
-
+$lang['By rank'] = '按等级';
+$lang['Manual order'] = '手工排序';
 
 
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 5846)
+++ /trunk/language/zh_CN/common.lang.php	(revision 5847)
@@ -382,4 +382,4 @@
 $lang['This author removed the comment with id %d'] = '此作者删除了 id 为 %d 的评论';
 $lang['validate this comment'] = '审核此评论';
-
+$lang['Sent by'] = '发送人';
 ?>
Index: /trunk/language/zh_CN/upgrade.lang.php
===================================================================
--- /trunk/language/zh_CN/upgrade.lang.php	(revision 5847)
+++ /trunk/language/zh_CN/upgrade.lang.php	(revision 5847)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['Upgrade'] = "升级";
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version.
+The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = "此页面将把您的 Piwigo 旧版本的数据库升级为新版本。
+升级助手将会认为您正在运行 <strong>版本 %s</strong> (或者相同的版本).";
+$lang['Upgrade from version %s to %s'] = "从 %s 版升级到 %s";
+$lang['Statistics'] = "统计";
+$lang['total upgrade time'] = "总共升级时间";
+$lang['total SQL time'] = "总共 SQL 时间";
+$lang['SQL queries'] = "SQL 查询";
+$lang['Upgrade informations'] = "升级信息";
+$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "如果您遇到任何问题，请在[管理员>特殊>维护]执行维护检测";
+$lang['As a precaution, following plugins have been disabled. You must check for plugins upgrade before reactiving them:'] = "为了预防万一，以下插件已被停用。在您重新启用它们之前，必须先检查这些插件的更新:";
+$lang['Only administrator can run upgrade: please sign in below.'] = "只有管理员能运行升级操作：请先登录。";
+$lang['You do not have access rights to run upgrade'] = "您没有执行升级程序的权限";
+$lang['All sub-categories of private categories become private'] = "所有私有类别下的子类别都将成为私有。";
+$lang['User permissions and group permissions have been erased'] = "用户和组的权限已被清除";
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = "在前一个配置操作中，只有缩略图的前缀和网站管理员的邮件地址被保存了。";
+
+?>