Index: /extensions/sobre/admin/admin.css
===================================================================
--- /extensions/sobre/admin/admin.css	(revision 5854)
+++ /extensions/sobre/admin/admin.css	(revision 5855)
@@ -1,2 +1,7 @@
 #configContent FIELDSET {border:2px solid #777;}
-#configContent FIELDSET SELECT{float:right; margin:0 26px 0 0;}
+#configContent FIELDSET SELECT{margin-left:2.6%;}
+table#tips {border:1px solid;}
+table#tips .tn_dimensions {padding-right: 5px; text-align: right; font-weight:bold;}
+table#tips td.tn_width, table#tips td.tn_height {text-align:center;}
+table#tips tr#line1 {font-style:italic;}
+h2, legend, span, table {color:#000;}
Index: /extensions/sobre/admin/admin.inc.php
===================================================================
--- /extensions/sobre/admin/admin.inc.php	(revision 5854)
+++ /extensions/sobre/admin/admin.inc.php	(revision 5855)
@@ -1,4 +1,5 @@
 <?php
 
+/* Lecture du fichier de langue pour le thème */
 load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
 
@@ -8,4 +9,5 @@
   'picture',
   'other',
+  'nbItemsMB',
 );
 
Index: /extensions/sobre/admin/admin.tpl
===================================================================
--- /extensions/sobre/admin/admin.tpl	(revision 5854)
+++ /extensions/sobre/admin/admin.tpl	(revision 5855)
@@ -33,11 +33,37 @@
           <ul>
             <li>
-              <span class="property">{'nb menubar items'|@translate}</span>
-              <select name="nbItems">
+              <span class="property">{'mb menubar items'|@translate}</span>
+              <select name="nbItemsMB">
+                <option label="1" value="100%">1</option>
+                <option label="2" value="50%">2</option>
+			    <option label="3" value="33%">3</option>
                 <option label="4" value="25%" selected="selected">4</option>
                 <option label="5" value="20%">5</option>
                 <option label="6" value="16%">6</option>
+                <option label="7" value="14%">7</option>
               </select>
             </li>
+            <li>
+              <table id="tips">
+                <tr id="line1">
+                  <td class="tn_dimensions">&nbsp;</td>
+                  <td class="tn_width">{'width'|@translate}</td>
+                  <td>x</td>
+                  <td class="tn_height">{'height'|@translate}</td>
+                  <td>&nbsp;</td>
+                </tr>
+                <tr>
+                  <td class="tn_dimensions">{'Thumbnail dimensions'|@translate}</td>
+                  <td class="tn_width">
+                    <input type="text" value="128" id="tn_width" name="picture_width" size="1" maxlength="3"></td>
+                  <td>x</td>
+                  <td class="tn_height"><input type="text" value="96" id="tn_height" name="picture_height" size="1" maxlength="3" /></td>
+                  <td>
+                    {'(Dimensions limits in pixels)'|@translate}
+                  </td>
+                </tr>
+              </table>
+            </li>
+            <li></li>
           </ul>
       </fieldset>
Index: /extensions/sobre/admin/maintain.inc.php
===================================================================
--- /extensions/sobre/admin/maintain.inc.php	(revision 5854)
+++ /extensions/sobre/admin/maintain.inc.php	(revision 5855)
@@ -1,4 +1,5 @@
 <?php
 
+/* Lors de l'activation */
 function theme_activate($id, $version, &$errors)
 {
@@ -12,4 +13,5 @@
       'picture'    => false,
       'other'      => true,
+	  'nbItemsMB'  => 4,
       );
       
@@ -22,4 +24,5 @@
 }
 
+/* Lors de la désactivation */
 function theme_deactivate()
 {
Index: /extensions/sobre/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5854)
+++ /extensions/sobre/language/fr_FR/theme.lang.php	(revision 5855)
@@ -9,6 +9,11 @@
 $lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
 $lang['Theme by'] = 'Thème Sobre par <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
-$lang['nb menubar items'] = 'Nombre d\'éléments dans le menu';
+$lang['mb menubar items'] = 'Nombre d\'éléments dans le menu';
 $lang['Tips'] = 'Divers';
+$lang['Thumbnail dimensions'] = 'Dimensions de vos miniatures';
+$lang['(Dimensions limits in pixels)'] = '(Dimensions exprimées en pixels)';
+$lang['width'] = 'largeur';
+$lang['height'] = 'hauteur';
+
 
 /* picture.tpl */