Index: extensions/lmt/language/de_DE/description.txt
===================================================================
--- extensions/lmt/language/de_DE/description.txt	(revision 5872)
+++ extensions/lmt/language/de_DE/description.txt	(revision 5872)
@@ -0,0 +1,1 @@
+Versieht Ihre Fotos mit Lizenzinformationen
Index: extensions/lmt/language/de_DE/index.php
===================================================================
--- extensions/lmt/language/de_DE/index.php	(revision 5872)
+++ extensions/lmt/language/de_DE/index.php	(revision 5872)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/lmt/language/de_DE/plugin.lang.php
===================================================================
--- extensions/lmt/language/de_DE/plugin.lang.php	(revision 5872)
+++ extensions/lmt/language/de_DE/plugin.lang.php	(revision 5872)
@@ -0,0 +1,158 @@
+<?php
+
+$lang['example'] = 'Beispiel anzeigen';
+$lang['lmt_action'] = 'Aktionen';
+$lang['lmt_add'] = 'Hinzufügen';
+$lang['lmt_add_author'] = 'Urheber hinzufügen';
+$lang['lmt_add_licence_ko'] = 'Die Lizenz konnte den ausgewählten Elementen nicht zugewiesen werden';
+$lang['lmt_add_licence_ok'] = 'Die Lizenz wurde den ausgewählten Elementen zugewiesen';
+$lang['lmt_add_to_caddie'] = 'Elemente in den Sammelkorb geben';
+$lang['lmt_apply'] = 'Anwenden';
+$lang['lmt_apply_do_clear'] = 'Lizenz zuweisen und Sammelkorb leeren';
+$lang['lmt_apply_do_clear_selected'] = 'Den ausgewählten Elementen die Lizenz zuweisen und sie im Sammelkorb löschen';
+$lang['lmt_apply_do_nothing'] = 'Die Lizenz zuweisen und die Elemente im Sammelkorb behalten';
+$lang['lmt_author'] = 'Urheber';
+$lang['lmt_author_added'] = 'Der Urheber wurde hinzugefügt';
+$lang['lmt_author_deleted'] = 'Der Urheber wurde gelöscht';
+$lang['lmt_author_modified'] = 'Der Urheber wurde geändert';
+$lang['lmt_author_nb_images_updated'] = 'Bilder, die diesem Urheber zugewiesen waren, wurden angepasst';
+$lang['lmt_author_nfo'] = 'Wenn ein Lizenzlogo auf einer betrachteten Seite angezeigt wird, kann der Urheber angegeben werden.';
+$lang['lmt_author_one_image_updated'] = 'Ein Bild, das diesem Urheber zugewiesen war, wurde angepasst';
+$lang['lmt_author_title'] = 'Urheberliste';
+$lang['lmt_author_txt1'] = 'Text 1';
+$lang['lmt_author_txt2'] = 'Text 2';
+$lang['lmt_authoradd_title'] = 'Urheber hinzufügen';
+$lang['lmt_authormodify_title'] = 'Urheber bearbeiten';
+$lang['lmt_bydefault'] = 'Standardlizenz zuweisen';
+$lang['lmt_caddie_is_empty_please_fill_it'] = 'Bitte geben Sie zuerst Elemente in den Sammelkorb, da nur über diesen Lizenzen zugewiesen werden können.';
+$lang['lmt_caddie_items'] = 'Elemente im Sammelkorb';
+$lang['lmt_caddie_not_updated'] = 'Der Sammelkorb konnte nicht geändert werden';
+$lang['lmt_caddie_updated'] = 'Der Sammelkorb wurde geändert';
+$lang['lmt_cancel'] = 'Abbrechen';
+$lang['lmt_cannot_add_author'] = 'Der Urheber konnte nicht hinzugefügt werden';
+$lang['lmt_cannot_delete_author'] = 'Der Urheber konnte nicht gelöscht werden';
+$lang['lmt_cannot_modify_author'] = 'Der Urheber konnte nicht geändert werden';
+$lang['lmt_category'] = 'Kategorie';
+$lang['lmt_cc-all'] = 'Alle Lizenzen';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Lizenzmanagement aktivieren';
+$lang['lmt_cfg_licence_default'] = 'Auswahl der Standardlizenz';
+$lang['lmt_cfg_licence_default_author'] = 'Auswahl des der Lizenz standardmäßig zugewiesenen Urhebers';
+$lang['lmt_cfg_licence_logo'] = 'Art der Logodarstellung';
+$lang['lmt_cfg_licence_visible'] = 'Lizenz immer anzeigen, selbst wenn es sich dabei um die Standardlizenz handelt';
+$lang['lmt_cfg_list_maxheight'] = 'Maximale Listengröße';
+$lang['lmt_cfg_list_maxitems'] = 'Maximale Anzahl angezeigter Elemente';
+$lang['lmt_cfg_warning_link'] = 'Umleitung aktivieren';
+$lang['lmt_cfg_warning_texts'] = 'Fußnote';
+$lang['lmt_cfg_warning_visible'] = 'Standardlizenz am unteren Seitenrand anzeigen';
+$lang['lmt_choose_select'] = '&lt;Wählen&gt;';
+$lang['lmt_clear_caddie_ko'] = 'Der Sammelkorb konnte nicht geleert werden';
+$lang['lmt_clear_caddie_ok'] = 'Der Sammelkorb wurde geleert';
+$lang['lmt_clear_si_caddie_ko'] = 'Die gewählten Elemente konnten nicht aus dem Sammelkorb gelöscht werden';
+$lang['lmt_clear_si_caddie_ok'] = 'Die gewählten Elemente wurden aus dem Sammelkorb gelöscht';
+$lang['lmt_config'] = 'Einstellungen';
+$lang['lmt_def_--'] = 'Sie dürfen das Werk bzw. den Inhalt vervielfältigen, verbreiten und öffentlich zugänglich machen, sofern Sie den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.';
+$lang['lmt_def_nc'] = 'Dieses Werk bzw. dieser Inhalt darf nicht für kommerzielle Zwecke verwendet werden.';
+$lang['lmt_def_nd'] = 'Dieses Werk bzw. dieser Inhalt darf nicht bearbeitet, abgewandelt oder in anderer Weise verändert werden.';
+$lang['lmt_def_sa'] = 'Wenn Sie das lizenzierte Werk bzw. den lizenzierten Inhalt bearbeiten, abwandeln oder in anderer Weise erkennbar als Grundlage für eigenes Schaffen verwenden, dürfen Sie die daraufhin neu entstandenen Werke bzw. Inhalte nur unter Verwendung von Lizenzbedingungen weitergeben, die mit denen dieses Lizenzvertrages identisch, vergleichbar oder kompatibel sind.';
+$lang['lmt_delete'] = 'Löschen';
+$lang['lmt_display_config'] = 'Darstellungsoptionen';
+$lang['lmt_do_save'] = 'Einstellungen speichern';
+$lang['lmt_dontapply_do_clear_selected'] = 'Ausgewählte Elemente aus dem Sammelkorb löschen, ohne die Lizenz anzuwenden';
+$lang['lmt_error_on_image_author'] = 'Ein Problem tritt auf, wenn Elemente aktualisiert werden, die sich auf einen gelöschten Urheber referenzieren';
+$lang['lmt_four_way'] = 'Die 4 Prinzipien';
+$lang['lmt_general_config'] = 'Allgemeine Einstellungen';
+$lang['lmt_general_text'] = '[logo=80x15]Die Medien auf dieser Webseite sind urheberrechtlich geschützt und werden, wenn nicht anders vermerkt, unter der Creative Commons Lizenz [text=logo] zur Verfügung gestellt';
+$lang['lmt_help'] = 'Hilfe';
+$lang['lmt_help_config'][1] = 'Abhängig von der Anzahl der Elemente mit einer spezifischen Lizenz oder der Anzahl von Elementen in Ihrem Sammelkorb wird sich die Größe des Anzeigebereichs ändern. Ein zu großer Anzeigebereich kann zu Beeinträchtigungen beim Betrachten der Seite führen. <br> Diese Option limitiert die maximale Höhe des Anzeigebereichs.';
+$lang['lmt_help_config'][2] = 'Aktiviert oder deaktiviert das Lizenzmanagement. Im Gegensatz zur Deinstallation des Plugins deaktiviert diese Option nur das Lizenzmanagement auf dem öffentlichen Teil der Webseite. Die Administration des Plugins ist weiterhin möglich.';
+$lang['lmt_help_config'][3] = 'Durch Setzen dieser Option wird bei jedem Element die zugehörige Lizenz angezeit, auch wenn es sich dabei um die Standardlizenz handelt. <br> Ist diese Einstellung nicht aktiviert, wird nur dann eine Lizenz angezeigt, wenn sie nicht der Standardlizenz entspricht.';
+$lang['lmt_help_config'][4] = 'Diese Einstellung definiert die standardmäßig anzuzeigende Lizenz, wenn einem Element noch keine Lizenz zugewiesen wurde.';
+$lang['lmt_help_config'][5] = 'Diese Einstellung definiert, ob die Lizenz standardmäßig auf jeder Seite angezeigt werden soll (Die Lizenz wird in der Fußnote angezeigt).';
+$lang['lmt_help_config'][6] = 'Wenn diese Einstellung aktiv ist, wird hinter einem angezeigten Lizenzlogo eine Link hinterlegt, der den Benutzer auf eine Webseite mit weiterführenden Informationen leitet.';
+$lang['lmt_help_config'][7] = 'Der Lizenztext in der Fußnote wird Ihren Wünschen entsprechend angezeigt. <br> Folgende Darstellungen sind möglich: <br> <b>[logo=80x15]</b> Fügt standardmäßig das 80x15 Logo der Lizenz ein <br> <b>[logo=88x31]</b> Fügt standardmäßig das 88x31 Logo der Lizenz ein<br> <b>[logo=text]</b>Fügt standardmäßig den Text der Lizenz ein';
+$lang['lmt_help_config'][8] = 'Diese Einstellung legt den Urheber für Elemente, die mit der Standardlizenz verknüpft sind, fest.';
+$lang['lmt_help_config'][9] = 'Diese Einstellung legt die Anzahl der Elemente fest, die pro Seite angezeigt werden.';
+$lang['lmt_icon_80x15'] = '80x15 Icon';
+$lang['lmt_icon_88x31'] = '88x31 Icon';
+$lang['lmt_icon_text'] = 'Text';
+$lang['lmt_image'] = 'Bild';
+$lang['lmt_lbl_cc-by'] = 'Namensnennung';
+$lang['lmt_lbl_cc-by-nc'] = 'Namensnennung, Keine kommerzielle Nutzung';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Namensnennung, Keine kommerzielle Nutzung, Keine Bearbeitung';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Namensnennung, Keine kommerzielle Nutzung, Weitergabe unter gleichen Bedingungen';
+$lang['lmt_lbl_cc-by-nd'] = 'Namensnennung, Keine Bearbeitung';
+$lang['lmt_lbl_cc-by-sa'] = 'Namensnennung, Weitergabe unter gleichen Bedingungen';
+$lang['lmt_lbl_cc-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc-cright'] = 'Copyright';
+$lang['lmt_lbl_cc-default'] = 'Standardlizenz';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc_s-cright'] = '© Copyright';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_under-by'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-by-nc'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-by-nd'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-by-sa'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-cleft'] = 'Veröffentlicht unter der Lizenz';
+$lang['lmt_lbl_under-cright'] = '';
+$lang['lmt_lbl_under-default'] = '';
+$lang['lmt_licence'] = 'Lizenz';
+$lang['lmt_licence_config'] = 'Lizenzmanagement';
+$lang['lmt_licence_to_apply'] = 'Lizenzauswahl';
+$lang['lmt_list'] = 'Bilder mit Lizenz';
+$lang['lmt_lst_apply_filter'] = 'Filter';
+$lang['lmt_lst_default_licence'] = 'Standardmäßig werden Bilder unter dieser Lizenz veröffentlicht';
+$lang['lmt_lst_nb_photos'] = 'Bilder';
+$lang['lmt_lst_special_licence'] = 'Diese Bilder werden mit einer Lizenz veröffentlicht';
+$lang['lmt_manage'] = 'Verwalten von Lizenzzuweisungen';
+$lang['lmt_manageaut'] = 'Urheberverwaltung';
+$lang['lmt_modify'] = 'Bearbeiten';
+$lang['lmt_name'] = 'Name';
+$lang['lmt_nav_first'] = 'Vor';
+$lang['lmt_nav_last'] = 'Nach';
+$lang['lmt_nav_next'] = 'Vor';
+$lang['lmt_nav_prev'] = 'Zurück';
+$lang['lmt_nb_author_one'] = 'Ein Urheber festgelegt';
+$lang['lmt_nb_author_zero'] = 'Es ist kein Urheber festgelegt';
+$lang['lmt_nb_authors'] = 'Urheber festgelegt';
+$lang['lmt_no_author'] = '&lt;Kein Urheber&gt;';
+$lang['lmt_no_element_selected'] = 'Es wurden keine Elemente ausgewählt !';
+$lang['lmt_no_text'] = 'Es wurde kein Text angegeben !';
+$lang['lmt_nofilter'] = 'Alle Lizenzen';
+$lang['lmt_official_website'] = 'Die offizielle Creative Commons Webseite';
+$lang['lmt_redirect_config'] = 'Umleitungen';
+$lang['lmt_redirect_urls'] = 'URL umleitungen';
+$lang['lmt_release'] = 'r';
+$lang['lmt_replace_caddie'] = 'Sammelkorb leeren und Elemente hinzufügen';
+$lang['lmt_save_config'] = 'Konfiguration gespeichert';
+$lang['lmt_select_all'] = 'Alle';
+$lang['lmt_select_invert'] = 'Invertieren';
+$lang['lmt_select_none'] = 'Keine';
+$lang['lmt_six_licences'] = 'Die 6 Lizenzen';
+$lang['lmt_title'] = 'Lizenzmanagement';
+$lang['lmt_warning_config'] = 'Fußnoten Management';
+$lang['lmt_warning_texts_help'] = '';
+$lang['lmt_way_--'] = 'Namensnennung';
+$lang['lmt_way_nc'] = 'Keine kommerzielle Nutzung';
+$lang['lmt_way_nd'] = 'Keine Bearbeitung';
+$lang['lmt_way_sa'] = 'Weitergabe unter gleichen Bedingungen';
+$lang['lmt_whatisit'] = 'Was ist <i>Creative Commons?</i>';
+$lang['lmt_whatisit_def1'] = 'Creative Commons (CC) ist eine Non-Profit-Organisation, die in Form vorgefertigter Lizenzverträge eine Hilfestellung für die Veröffentlichung und Verbreitung digitaler Medieninhalte anbietet.';
+$lang['lmt_whatisit_def2'] = 'Ganz konkret bietet CC sechs verschiedene Standard-Lizenzverträge an, die bei der Verbreitung kreativer Inhalte genutzt werden können, um die rechtlichen Bedingungen festzulegen.';
+$lang['lmt_yesno_n'] = 'Nein';
+$lang['lmt_yesno_y'] = 'Ja';
+
+//1.1.0
+$lang["lmt_help_config"][10] = "Ist diese Einstellung aktiv, werden Links in einem neuen Fenster geöffnet.";
+$lang["lmt_cfg_warning_target"] = "Öffne Links in einem neuen Fenster";
+
+
+?>