Index: extensions/lmt/language/en_UK/plugin.lang.php
===================================================================
--- extensions/lmt/language/en_UK/plugin.lang.php	(revision 4396)
+++ extensions/lmt/language/en_UK/plugin.lang.php	(revision 5873)
@@ -28,9 +28,9 @@
 $lang['lmt_add_licence_ko'] = 'The license count not be applied to the selected items';
 $lang['lmt_add_licence_ok'] = 'The license has been applied to the selected items';
-$lang['lmt_add_to_caddie'] = 'Add the items in the caddie';
+$lang['lmt_add_to_caddie'] = 'Add the items to the basket';
 $lang['lmt_apply'] = 'Apply';
-$lang['lmt_apply_do_clear'] = 'Apply the licence and empty the caddie';
-$lang['lmt_apply_do_clear_selected'] = 'Apply the licence and clear the selected items in the caddie';
-$lang['lmt_apply_do_nothing'] = 'Apply the licence and don\'t modify the caddie';
+$lang['lmt_apply_do_clear'] = 'Apply the licence and empty the basket';
+$lang['lmt_apply_do_clear_selected'] = 'Apply the licence and clear the selected items in the basket';
+$lang['lmt_apply_do_nothing'] = 'Apply the licence and don\'t modify the basket';
 $lang['lmt_author'] = 'Author';
 $lang['lmt_author_added'] = 'The author was added';
@@ -49,5 +49,5 @@
 $lang['lmt_caddie_items'] = 'Items in caddie';
 $lang['lmt_caddie_not_updated'] = 'The basket could not be updated';
-$lang['lmt_caddie_updated'] = 'The caddie has been updated';
+$lang['lmt_caddie_updated'] = 'The basket has been updated';
 $lang['lmt_cancel'] = 'Cancel';
 $lang['lmt_cannot_add_author'] = 'The author could not be added';
@@ -66,10 +66,10 @@
 $lang['lmt_cfg_warning_link'] = 'Enable redirect';
 $lang['lmt_cfg_warning_texts'] = 'Footer text';
-$lang['lmt_cfg_warning_visible'] = 'View the license applied by default in the bottom of the page';
+$lang['lmt_cfg_warning_visible'] = 'Show the license applied by default in the bottom of the page';
 $lang['lmt_choose_select'] = '&lt;Select&gt;';
-$lang['lmt_clear_caddie_ko'] = 'Caddie could not be purged';
-$lang['lmt_clear_caddie_ok'] = 'Caddie has been purged';
-$lang['lmt_clear_si_caddie_ko'] = 'Selected items could not be purged from the caddie';
-$lang['lmt_clear_si_caddie_ok'] = 'Selected items have been purged from the caddie';
+$lang['lmt_clear_caddie_ko'] = 'Basket could not be purged';
+$lang['lmt_clear_caddie_ok'] = 'Basket has been purged';
+$lang['lmt_clear_si_caddie_ko'] = 'Selected items could not be purged from the basket';
+$lang['lmt_clear_si_caddie_ok'] = 'Selected items have been purged from the basket';
 $lang['lmt_config'] = 'Settings';
 $lang['lmt_def_--'] = 'The work may be freely used, provided the award to its author by quoting his name';
@@ -86,11 +86,11 @@
 $lang['lmt_general_text'] = '[logo=80x15]The media of this website are subject to copyright and, unless otherwise indicated, distributed under Creative Commons Licence [text=logo]';
 $lang['lmt_help'] = 'Help';
-$lang['lmt_help_config'][1] = 'Depending on the number of elements with a licence number or the number of items in your caddie, size of the display area will change. A display area too bogger can reduce the comfort of reading the page. <br> This parameter is used to force the maximum height of the display area.';
-$lang['lmt_help_config'][2] = 'Selects whether or not the management of licenses. Compared to completely disable the plugin, this option allows to disable the license management on the public part of the site while retaining the administration of the plugin actived.';
+$lang['lmt_help_config'][1] = 'Depending on the number of elements with a specific licence or the number of items in your basket, size of the display area will change. An oversized display area can reduce the comfort of reading the page. <br> This parameter is used to force the maximum height of the display area.';
+$lang['lmt_help_config'][2] = 'Activates or deactivates license management. Compared to completely disable the plugin, this option allows to disable the license management on the public part of the site while retaining the administration of the plugin actived.';
 $lang['lmt_help_config'][3] = 'This option will always display the licence of the element, even if the licence by default it is assigned. <br> If this option is not activated, the licence will be displayed only for elements with a particular licence.';
-$lang['lmt_help_config'][4] = 'This option allows you to select the licence will be applied by default to the elements for which no licence has been affected.';
+$lang['lmt_help_config'][4] = 'This option allows you to select the licence, which will be applied by default to elements to which no licence has been assigned.';
 $lang['lmt_help_config'][5] = 'This option allows you to choose whether to display or not the licence by default on all pages (will be shown on the footer).';
 $lang['lmt_help_config'][6] = 'If enabled, the logo indicating the licence is a hyperlink redirecting the user to a page explaining in more detail the operating conditions of the item.';
-$lang['lmt_help_config'][7] = 'The license text displayed at the bottom of the page is changed according to your needs. <br> It is possible to view items in automatically: <br> <b>[logo=80x15]</b> insert the 80x15 logo of the default licence <br> <b>[logo=88x31]</b> insert the 88x31 logo of the default licence<br> <b>[logo=text]</b>insert the text of the default licence';
+$lang['lmt_help_config'][7] = 'The license text displayed at the bottom of the page is changed according to your needs. <br> It is possible to display the corresponding license as: <br> <b>[logo=80x15]</b> the 80x15 logo <br> <b>[logo=88x31]</b> the 88x31 logo <br> <b>[logo=text]</b> the text only';
 $lang['lmt_help_config'][8] = 'This option allows you to select the author who will be assigned to the licence used by default.';
 $lang['lmt_help_config'][9] = 'This option allows you to choose the number of items displayed per page.';
@@ -146,5 +146,5 @@
 $lang['lmt_nb_authors'] = 'authors set';
 $lang['lmt_no_author'] = '&lt;No author&gt;';
-$lang['lmt_no_element_selected'] = 'There is no selected items !';
+$lang['lmt_no_element_selected'] = 'There are no selected items !';
 $lang['lmt_no_text'] = 'No text is filled !';
 $lang['lmt_nofilter'] = 'All licences';
@@ -153,5 +153,5 @@
 $lang['lmt_redirect_urls'] = 'URL redirects';
 $lang['lmt_release'] = 'r';
-$lang['lmt_replace_caddie'] = 'Purge caddie and add the elements';
+$lang['lmt_replace_caddie'] = 'Purge basket and add the elements';
 $lang['lmt_save_config'] = 'Configuration saved';
 $lang['lmt_select_all'] = 'All';