Index: /extensions/PWG_Stuffs/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 5898)
+++ /extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 5899)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['stuffs_mods_management'] = 'Gestión de modula';
+$lang['stuffs_mods_management'] = 'Gestión de modulo';
 $lang['stuffs_add_mod'] = 'Añadir un nuevo módulo';
 $lang['stuffs_edit_mod'] = 'Edición del módulo';
@@ -15,27 +15,27 @@
 $lang['stuffs_edit'] = 'Modificar el módulo';
 $lang['stuffs_delete'] = 'Suprimir el módulo';
-$lang['stuffs_confirm_delete'] = 'Usted es sobre querer suprimir el módulo %s?';
-$lang['stuffs_main_block'] = 'Bloquea principal';
+$lang['stuffs_confirm_delete'] = 'Es usted seguro de querer suprimir el módulo %s?';
+$lang['stuffs_main_block'] = 'Bloque principal';
 
-$lang['stuffs_add_module'] = 'Añadido de un nuevo módulo';
+$lang['stuffs_add_module'] = 'Añadir un nuevo módulo';
 $lang['stuffs_module_config'] = 'Configuración del módulo';
-$lang['stuffs_visual_config'] = 'Configuración de la fijación';
+$lang['stuffs_visual_config'] = 'Configuración de la visualización';
 $lang['stuffs_module_options'] = 'Opciones del módulo';
 $lang['stuffs_authorized_group'] = 'Grupos autorizados';
 $lang['stuffs_authorized_users'] = 'Utilizadores autorizados';
-$lang['stuffs_public_module'] = '(Dejar vacío para un módulo pública)';
-$lang['stuffs_show_title'] = 'Mostrar título del módulo';
-$lang['stuffs_show_module_on'] = 'Fijar el módulo:';
-$lang['stuffs_show_on_home'] = 'Sobre la página inicial de la sitio';
-$lang['stuffs_show_on_cats'] = 'Sobre todas las páginas de las categorías';
-$lang['stuffs_show_on_pictures'] = 'Sobre las páginas de las imágenes';
-$lang['stuffs_no_options'] = 'Ningunas opciones disponibles para este módulo';
+$lang['stuffs_public_module'] = '(Dejar vacío para un módulo público)';
+$lang['stuffs_show_title'] = 'Mostrar el título del módulo';
+$lang['stuffs_show_module_on'] = 'Visualizaar el módulo:';
+$lang['stuffs_show_on_home'] = 'En la página inicial del sitio';
+$lang['stuffs_show_on_cats'] = 'En todas las páginas de las categorías';
+$lang['stuffs_show_on_pictures'] = 'En las páginas de las imágenes';
+$lang['stuffs_no_options'] = 'Ninguna opcion disponibles para este módulo';
 
 //Messages d'infos
-$lang['stuffs_order_saved'] = 'El odre se salvó.';
+$lang['stuffs_order_saved'] = 'El orden se salvó.';
 
 
 // Messages d'erreurs
-$lang['stuffs_error_no_mod_selected'] = 'Usted no seleccionó módulo que hay que añadir.';
+$lang['stuffs_error_no_mod_selected'] = 'Usted no seleccionó ningun módulo a añadir.';
 $lang['stuffs_no_name'] = 'Usted debe indicar por lo menos un nombre para el módulo';
 
@@ -45,15 +45,15 @@
 
 $lang['module_name_lastcoms'] = 'Últimos comentarios';
-$lang['module_desc_lastcoms'] = 'Fija los últimos comentarios enviados';
+$lang['module_desc_lastcoms'] = 'Visualiza los últimos comentarios enviados';
 
-$lang['lastcoms_no_nb_comments'] = 'Usted debe informar el campo " Número de comentarios que hay que fijar ".';
+$lang['lastcoms_no_nb_comments'] = 'Usted debe informar el campo " Número de comentarios que hay que visualizar ".';
 $lang['lastcoms_config'] = 'Configuración';
-$lang['lastcoms_nb_comments'] = 'Número de comentarios que hay que fijar';
-$lang['lastcoms_show_buttons'] = 'Fijar los botones admin';
+$lang['lastcoms_nb_comments'] = 'Número de comentarios que hay que visualizar';
+$lang['lastcoms_show_buttons'] = 'Visualizar los botones admin';
 $lang['lastcoms_dim'] = 'Dimensión de las miniaturas';
 $lang['lastcoms_width'] = 'Anchura máxima';
 $lang['lastcoms_height'] = 'Altura máxima';
-$lang['lastcoms_nb_cadres'] = 'Número de personal por línea';
-$lang['lastcoms_taille_cadres'] = 'Altura del personal';
+$lang['lastcoms_nb_cadres'] = 'Número de cuadro por línea';
+$lang['lastcoms_taille_cadres'] = 'Altura del cuadro';
 
 