Index: /extensions/luciano/template/navigation_bar.tpl
===================================================================
--- /extensions/luciano/template/navigation_bar.tpl	(revision 5921)
+++ /extensions/luciano/template/navigation_bar.tpl	(revision 5922)
@@ -19,5 +19,5 @@
   {assign var='prev_page' value=0}
   {foreach from=$navbar.pages key=page item=url}
-    {if $page > $prev_page+1}...{/if}
+    {if $page > $prev_page+1}<span>...</span>{/if}
     {if $page == $navbar.CURRENT_PAGE}
       <span class="pageNumberSelected">{$page}</span>
Index: /extensions/luciano/theme.css
===================================================================
--- /extensions/luciano/theme.css	(revision 5921)
+++ /extensions/luciano/theme.css	(revision 5922)
@@ -63,5 +63,4 @@
 
 p 							{ margin: 10px;}
-.clear				{ clear: both }
 a, a:visited 	{ color: #ddd; text-decoration: none; }
 a:hover				{ color: #fff }
@@ -84,7 +83,4 @@
 	#imagerotator 						{position: relative; margin-top: 0px; height: 100px }
 	#imagerotator img 				{position: absolute; top: 0; left: 0 }
-
-	.content								{ margin-top: 20px; position: relative; }
-  .home .content						{ height: 360px }
 
 		#copyright						{ clear: both; margin: 20px 0 5px 0; padding-top: 5px; border-top: 2px solid #222; text-align: left; text-align: right; line-height: 1.2em }
@@ -101,11 +97,12 @@
 #rss a		{ display: block; width: 28px; height: 28px; text-indent: -2000px; border: 0;	background: transparent url('icon/rss.png'); }
 
-.content 				{ float: right; width: 1024px; background: transparent url(skin/1024dark.png); }
-.content .footer { clear:both; width: 1024px; height: 10px;	background: transparent url(skin/1024darkFooter.png) bottom left; }
-
-BODY#theCategoryPage .content					{ width: 750px; background: transparent url(skin/750dark.png); }
-BODY#theCategoryPage .content .footer 	{ width: 750px; background: transparent url(skin/750darkFooter.png) bottom left; }
-
-#menubar		{ float: left; width: 264px; margin-top: 10px; text-align: left; color: #888; }
+.content 						{ float: right; width: 1024px; margin: 20px 0; padding-bottom: 10px; position: relative; background: transparent url(skin/1024darkBottom.png) bottom left; }
+.content .titrePage	{ background: transparent url(skin/1024darkTop.png) no-repeat; }
+.content dl					{ margin: 25px; }
+
+BODY#theCategoryPage .content							{ width: 750px; background: transparent url(skin/750darkBottom.png) bottom left; }
+BODY#theCategoryPage .content	.titrePage	{ background: transparent url(skin/750darkTop.png) no-repeat; }
+
+#menubar		{ float: left; width: 264px; margin: 10px 0 20px 0; text-align: left; color: #888; }
 #menubar dl 	{ width: 264px; background: transparent url(skin/264grey3.png); margin-top: 10px; }
 #menubar dt	{ margin-left: 10px; padding-top: 10px; margin-bottom: 10px; font-size: 1.2em; font-weight: 700 }
@@ -126,5 +123,5 @@
 #menubar dd ul ul { padding-left: 15px; }
 
-#menubar .totalImages 	{ margin:0 40px; padding-bottom:10px; }
+#menubar .totalImages 	{ margin:0 10px; padding-bottom:10px; }
 #menubar .actions			{ padding:0; }
 #menubar .button 			{ float:right; margin-right:5px; }
@@ -138,5 +135,5 @@
 /* ELEMENTS */
 
-.titrePage						{ margin: 10px 0 5px 10px; height: 30px; }
+.titrePage						{ padding: 10px 0 5px 10px; height: 30px; }
 .titrePage h1					{ float: left; }
 .additional_info			{ clear: both; padding-top: 10px; text-indent: 50px; color: #333;}
@@ -264,5 +261,5 @@
 
 .elSelect 								{ width: 160px; height: 20px; background: transparent url(elSelect/select_bg.png) no-repeat 0 0; }
-.elSelect .clear 						{ clear: both; }
+.elSelect .clear 				{ clear: both; }
 
 .elSelect .selected 				{ color: #333 !important; background-color: #999 !important; }
Index: /extensions/luciano/themeconf.inc.php
===================================================================
--- /extensions/luciano/themeconf.inc.php	(revision 5921)
+++ /extensions/luciano/themeconf.inc.php	(revision 5922)
@@ -15,17 +15,6 @@
 
 $this->set_template_dir(PHPWG_THEMES_PATH.'default/template');
-$this->smarty->register_prefilter( 'add_footer_and_clear_div' );
 
 $conf['show_thumbnail_caption'] = false;
-
-function add_footer_and_clear_div($content, &$smarty)
-{
-  return
-    str_replace(
-      '</div> <!-- content -->',
-      "<div class=\"footer\"></div>\n</div> <!-- content -->\n<div class=\"clear\"></div>",
-      $content
-    );
-}
 
 // Remove comments link in Menu